# (c) Copyright 2010. CodeWeavers, Inc.

import subprocess
import traceback

from cxutils import cxgettext as _

def display_error_zenity(text):
    if isinstance(text, unicode):
        text = text.encode('utf8')

    subprocess.Popen(['zenity', '--error', '--text', text])

def display_error_xmessage(text):
    if isinstance(text, unicode):
        text = text.encode('utf8') # FIXME

    subprocess.Popen(['xmessage', text])

def display_error(text):
    try:
        display_error_zenity(text)
    except:
        try:
            display_error_xmessage(text)
        except:
            traceback.print_exc()

def check_gtk():
    try:
        # pylint: disable-msg=F0401,W0612
        import gtk
        import gtk.glade
    except ImportError:
        display_error(_(
"""You seem to be missing the Gtk Python modules.
If this is the case you may try running one of the following commands as root:

Fedora:	yum install pygtk2 pygtk2-libglade
Mandriva:	urpmi pygtk2.0 pygtk2.0-libglade
SUSE:	yast -i python-gtk"""))
    except Exception:
        traceback.print_exc()

if __name__ == '__main__':
    check_gtk()
